/**********************************************************************
 *
 * ATTRREAD.C - List of attributes to display.
 * 
 **********************************************************************/

/***************************************************************************
 *
 * @(#) attrread.c 1.2@(#)
 *
 ***************************************************************************/
 
#ifndef lint
static char *sccsid="@(#) attrread.c 1.2@(#)";
#endif


#include "attrread.h"
#include "sequence.h"
#include "quipu/common.h"

/**************************************************
 *
 * Global data.
 * 
 */

stringCell DisplayAttributeList = NULLStrCell;

/*****************************************************************************
 * AddDisplayAttribute()
 *
 * Add an attribute name to the list.
 *
 ****************************************************************************/

void AddDisplayAttribute(attrname)
     STRING attrname;
{
  AttributeType type;

  if (attrname == (STRING) NULL || *attrname == '\0')
    return;

  type = str2AttrT(attrname);
  if (type == NULLAttrT)
    return;

  SeqAddString(attrname, &DisplayAttributeList);
} /* AddDisplayAttribute */







