/***************************************************************************
 *
 * MSG.C - Set status messages.
 * 
 ***************************************************************************/

/***************************************************************************
 *
 * @(#) msg.c 1.2@(#)
 *
 ***************************************************************************/
 
#ifndef lint
static char *sccsid="@(#) msg.c 1.2@(#)";
#endif


#include "macros.h"
#include "widget.h"
#include "msg.h"
#include "termprint.h"

/**************************************************
 *
 * Local data.
 * 
 */

static char StatusMessage[512];

/*****************************************************************************
 * SetMessage()
 *
 * 
 *
 ****************************************************************************/

void SetMessage(msg)
     STRING msg;
{
  WIDGET *msgwdgt;
  extern WIDGET *currwidgets;

  msgwdgt = GetWidget(currwidgets, CENTRE);
  if (msgwdgt == (WIDGET *) NULL)
    return;

  (void) strcpy(StatusMessage, msg);
  SetLabel(msgwdgt, StatusMessage);
  PrintLabel(msgwdgt);

} /* SetMessage */

/*****************************************************************************
 * GetMessage()
 *
 * Get the message on the message label.
 *****************************************************************************/

void GetMessage(msg)
     char msg[BUFLEN];
{
WIDGET *msgwdgt;
extern WIDGET *currwidgets;

msgwdgt = GetWidget(currwidgets, CENTRE);

if (msgwdgt == (WIDGET *) NULL) return;

strcpy(msg,msgwdgt->label);
AddData(msg);
} /* GetMessage */

/*****************************************************************************
 * Beep()
 *
 * 
 *
 ****************************************************************************/

void Beep()
{
/*  beep(); */
} /* Beep */



