/***************************************************************************
 *
 * @(#) wdgtdefs.h 1.1@(#)
 *
 ***************************************************************************/


#ifndef _WidgetDefsH_
#define _WidgetDefsH_

#include "widget.h"
#include "search.h"
#include "browse.h"
#include "show.h"
#include "history.h"
#include "main.h"
#include "entrylist.h"
#include "help.h"

/* REMEMBER TO NULL-TERMINATE ALL OF THESE STRUCTURE ARRAYS     */
/*--------------------------------------------------------------*/

WIDGET mainwdgts[] =
{
  {LABEL,   " QUIPU X.500 Screen Directory. ", CENTRE,NULLFN,0,0,EXPAND,0},
  {COMMAND, "q Quit ",	 	'q', Quit,   0,CRNL,0,0},
  {COMMAND, "? Help ",	 	'?', HelpMain,   0,0,0,0},
  {COMMAND, "b Browse ",	'b', Browse,   0,0,0,0},
  {COMMAND, "o View owner",     'o', Show, 0, 0, 0, 0},
  {COMMAND, "h History ", 	'h', ShowHistory, 0,0,0,0},
  {DIALOG,  "Go To Number:",	'*', GotoCallback, 0,0,EXPAND,0},
  {DIALOG , "Name: ",		'n', Search,     0,CRNL,EXPAND,0},
  /* Scrollbar always last */
  {SCROLLBAR, "",               '%', NULL, 0,0,3,0},
  {FINISH,  "", 0,NULLFN}
};

/*--------------------------------------------------------------*/

#endif /* _WidgetDefsH_ */
